clang 10.0.0git

Classes | Protected Member Functions | Friends | List of all members
clang::CodeGen::ConstantInitBuilderBase Class Reference

`#include "clang/CodeGen/ConstantInitBuilder.h"`

Inheritance diagram for clang::CodeGen::ConstantInitBuilderBase:
[legend]

## Protected Member Functions
| ConstantInitBuilderBase (CodeGenModule &CGM)
| ~ConstantInitBuilderBase ()

## Friends
class | ConstantInitFuture
class | ConstantAggregateBuilderBase
template<class , class >
class | ConstantAggregateBuilderTemplateBase

## Detailed Description

Definition at line 51 of file ConstantInitBuilder.h.

## Constructor & Destructor Documentation

## ◆ ConstantInitBuilderBase()

clang::CodeGen::ConstantInitBuilderBase::ConstantInitBuilderBase | ( | CodeGenModule & | CGM | ) |
| inline explicit protected

Definition at line 69 of file ConstantInitBuilder.h.

## ◆ ~ConstantInitBuilderBase()

clang::CodeGen::ConstantInitBuilderBase::~ConstantInitBuilderBase | ( |  | ) |
| inline protected

Definition at line 71 of file ConstantInitBuilder.h.

References clang::InternalLinkage, and clang::transformer::name().

## Friends And Related Function Documentation

## ◆ ConstantAggregateBuilderBase

friend class ConstantAggregateBuilderBase
| friend

Definition at line 64 of file ConstantInitBuilder.h.

Referenced by clang::CodeGen::ConstantAggregateBuilderBase::markFinished().

## ◆ ConstantAggregateBuilderTemplateBase

template<class , class >

friend class ConstantAggregateBuilderTemplateBase
| friend

Definition at line 66 of file ConstantInitBuilder.h.

## ◆ ConstantInitFuture

friend class ConstantInitFuture
| friend

Definition at line 63 of file ConstantInitBuilder.h.

The documentation for this class was generated from the following files:

- include/clang/CodeGen/ConstantInitBuilder.h
- lib/CodeGen/ConstantInitBuilder.cpp